from random import randint


def get_random_index(items):
    return randint(0, len(items) - 1)


def get_random_pizza():
    random = get_random_index(pizza_types)
    pizza_type = pizza_types[random]
    price = pizza_prices[random]

    description = pizza_type

    n_random_extras = randint(1, 3)
    for e in range(n_random_extras):
        random = get_random_index(extra_types)
        extra_type = extra_types[random]
        if e == 0:
            description += f" with extra {extra_type}"
        else:
            description += f", {extra_type}"
        extra_price = extra_prices[random]
        price += extra_price

    return description, price


pizza_types = ["margherita", "napoletana", "marinara"]
pizza_prices = [6.0, 7.0, 7.5]
extra_types = ["mushrooms", "cheese", "anchovies", "sausage"]
extra_prices = [0.5, 1.0, 1.5, 1.8]

print("pizzas you might win include ...")
for i in range(len(pizza_types)):
    pizza_type = pizza_types[i]
    pizza_price = pizza_prices[i]
    print(f"{pizza_type} - £{pizza_price:.2f}")
print()

print("toppings you might win include ...")
for i, extra_type in enumerate(extra_types):
    extra_price = extra_prices[i]
    print(f"{extra_type} - £{extra_price:.2f}")
print()

pizza_description, pizza_price = get_random_pizza()

print(f"You have won a {pizza_description} worth £{pizza_price:.2f}")
