from random import randint


def get_random_item(dictionary):
    items = list(dictionary)
    random = randint(0, len(items) - 1)
    return items[random]


pizzas = {"margherita": 6.0, "napoletana": 7.0, "marinara": 7.5}
extras = {"mushrooms": 0.5, "cheese": 1.0, "anchovies": 1.5, "sausage": 1.8}

pizza_type = get_random_item(pizzas)
pizza_price = pizzas[pizza_type]

pizza_description = pizza_type

n_random_extras = randint(1, 3)
for e in range(n_random_extras):
    extra_type = get_random_item(extras)
    if e == 0:
        pizza_description += f" with extra {extra_type}"
    else:
        pizza_description += f", {extra_type}"
    extra_price = extras[extra_type]
    pizza_price += extra_price

print(f"You have won a {pizza_description} worth £{pizza_price:.2f}")
