import database02 as db

users = db.get_users()

# print out all the user details
for (name, user_id, info) in users:
    print(f"name:      {name}")
    if user_id is not None:
        print(f"user id:   {user_id}")
    if info is not None:
        if info.startswith("BSc ") or info.startswith("MSc "):  # this is a student
            print(f"programme: {info}")
        else:  # this is a member of staff
            print(f"job title: {info}")
    print()

while True:
    group = input("Group (staff, students or all)? ")
    if group == "":
        break
    message = input("Message? ")
    if message == "":
        break
    for (name, user_id, info) in users:
        send_message = False
        if group == "all":
            send_message = True
        elif info is not None:
            is_student = info.startswith("BSc ") or info.startswith("MSc ")
            if group == "students" and is_student:
                send_message = True
            if group == "staff" and not is_student:
                send_message = True
        if send_message:
            print(f" '{message}' sent to {name}")
